include:
  - template: Auto-DevOps.gitlab-ci.yml
test:
  stage: test
  image: python:3.7.2-slim
  script:
    - pip install pipenv --upgrade
    - pipenv install --deploy --system
    - pipenv run pytest

flake_code_quality:
  stage: test
  image: python:alpine
  script:
    - |
      pip install flake8-gl-codeclimate
      flake8 --exit-zero --format gl-codeclimate --output-file gl-code-quality-report.json .

  artifacts:
    reports:
      codequality: gl-code-quality-report.json
